Skip to main content
Back to API List Enables an existing language for an AI Agent.
PropertyValue
MethodPOST
Endpointhttps://{{host}}/api/{{version-Id}}/public/bot/{{botId}}/language/status
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Language Configuration; Admin Console: Language Settings > Language Management

Path Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired

Sample Request

curl -X POST \
'https://{{host}}/api/{{version-Id}}/public/bot/{{botId}}/language/status' \
--header 'Content-Type: application/json' \
--header 'auth: YOUR_JWT_ACCESS_TOKEN' \
--data '{
  "language" : "",
  "enable": true
  }'

Body Parameters

ParameterDescriptionRequired
languageThe language code of the language to enable.Required
enableSet to true to enable the language.Required

Sample Response

"Enabled Spanish language successfully"